- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::Common::Iterator< int > Class Template Reference

`#include <Iterator.h>`

## Public Member Functions
| Iterator ()
| Iterator (TRN_Iterator impl)
| ~Iterator ()
void | Destroy ()
void | Next ()
int | Current ()
bool | HasNext ()
Iterator< int > & | operator= (const Iterator< int > &other)
| Iterator (const Iterator< int > &c)

## Detailed Description

### template<>
class pdftron::Common::Iterator< int >

The Iterator specialization for integer type.

Definition at line 95 of file Iterator.h.

## Constructor & Destructor Documentation

pdftron::Common::Iterator< int >::Iterator | ( |  | ) |
| inline

Definition at line 98 of file Iterator.h.

pdftron::Common::Iterator< int >::Iterator | ( | TRN_Iterator< int > | impl | ) |
| inline

Definition at line 100 of file Iterator.h.

pdftron::Common::Iterator< int >::~Iterator | ( |  | ) |
| inline

Definition at line 103 of file Iterator.h.

pdftron::Common::Iterator< int >::Iterator | ( | const Iterator< int > & | c | ) |
| inline

Definition at line 146 of file Iterator.h.

## Member Function Documentation

int pdftron::Common::Iterator< int >::Current | ( |  | ) |
| inline

Definition at line 123 of file Iterator.h.

void pdftron::Common::Iterator< int >::Destroy | ( |  | ) |
| inline

Frees the native memory of the object.

Definition at line 111 of file Iterator.h.

bool pdftron::Common::Iterator< int >::HasNext | ( |  | ) |
| inline

Definition at line 131 of file Iterator.h.

void pdftron::Common::Iterator< int >::Next | ( |  | ) |
| inline

Definition at line 117 of file Iterator.h.

Iterator<int>& pdftron::Common::Iterator< int >::operator= | ( | const Iterator< int > & | other | ) |
| inline

Definition at line 139 of file Iterator.h.

The documentation for this class was generated from the following file:

- Common/Iterator.h